dbXML API

## com.dbxml.db.common.scripting
Class PythonTrigger

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.trigger.SimpleTrigger
              com.dbxml.db.common.scripting.ScriptTrigger
                  com.dbxml.db.common.scripting.PythonTrigger

All Implemented Interfaces:
  Configurable, Trigger

public final class PythonTrigger
extends ScriptTrigger

PythonTrigger

Constructor Summary
`PythonTrigger()`

Methods inherited from class com.dbxml.db.common.scripting.ScriptTrigger
`afterDelete, afterGet, afterInsert, afterUpdate, beforeDelete, beforeGet, beforeInsert, beforeUpdate, setConfig`

Methods inherited from class com.dbxml.db.core.trigger.SimpleTrigger
`getCollection, getName, setCollection`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Constructor Detail

### PythonTrigger

    public PythonTrigger()

dbXML API

Copyright (c) 2004 The dbXML Group